//
//  WRTStatusClient.h
//  DDWRT-Monitor
//
//  Created by Spike Grobstein on 5/30/11.
//  Copyright 2011 Sadistech. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface WRTStatusClient : NSObject {
  BOOL wrtReachable;
@private
  NSString    *hostname;
  NSInteger   *port;
  NSString		*username;
	NSString		*password;
  
  
	//NSMutableData	*receivedData;
	//NSURLRequest	*theRequest;
	//NSURLConnection	*theConnection;
  
	//id				 delegate;
	//SEL				 callback;
	//SEL				 errorCallback;
}

- (id) initWithHostname:(NSString*)new_hostname port:(NSInteger*)new_port username:(NSString*)new_username password:(NSString*)new_password;

- (NSMutableURLRequest*) buildRequest:(NSString*)uri;
- (NSMutableURLRequest*) requestForBandwidthViewerForInterface:(NSString*)interface;
- (void) getStatusUpdate:(NSString*)uri delegate:(id)delegate;

- (NSString*) getHostname;
- (void) setHostname:(NSString*)new_hostname;

- (NSInteger*) getPort;
- (void) setPort:(NSInteger*)new_port;

- (NSString*) getUsername;
- (void) setUsername:(NSString*)new_username;

- (NSString*) getPassword;
- (void) setPassword:(NSString*)new_password;


@end
