//
//  WRTRequest.h
//  DDWRT-Monitor
//
//  Created by Matthieu Lalonde on 11-05-29.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface WRTRequest : NSObject {
	BOOL wrtReachable;
@private
    NSString		*username;
	NSString		*password;
	NSMutableData	*receivedData;
	NSURLRequest	*theRequest;
	NSURLConnection	*theConnection;
	id				 delegate;
	SEL				 callback;
	SEL				 errorCallback;
}

@property(nonatomic, retain) NSString		*username;
@property(nonatomic, retain) NSString		*password;
@property(nonatomic, retain) NSMutableData	*receivedData;
@property(nonatomic, retain) id				 delegate;
@property(nonatomic) SEL					 callback;
@property(nonatomic) SEL					 errorCallback;

-(void)doRequest:(id)requestDelegate requestSelector:(SEL)requestSelector uri:(NSString *)uri;
-(void)request:(NSURL *) url;

@end
